*** makjnt.mak	Fri Nov 14 15:43:12 2003
--- makefile	Tue Apr 08 12:33:50 2003
***************
*** 1,14 ****
  # vi:ts=8:sw=8
! # Makefile for VIM on WINNT, using MS SDK
  #
! NODEBUG=1
! TARGETOS=WIN95
! !include <ntwin32.mak>
! #CDEBUG=/Zi
! #LDEBUG=/DEBUG /PDB:YES 
! lcommon=/MAP /MAPINFO:LINES
! ccommon=$(CDEBUG) /O2 /Ox /GA /FAcs
! optlibs=user32.lib shell32.lib winmm.lib comctl32.lib ole32.lib olepro32.lib uuid.lib
  
  #>>>>> choose options:
  ### -DDIGRAPHS		digraph support (at the cost of 1.6 Kbyte code)
--- 1,12 ----
  # vi:ts=8:sw=8
! # Makefile for VIM, using bcc 5.5.1
  #
! CDEBUG=
! LDEBUG=
! cflags=$(CDEBUG) -5 -O1 -q -DNO_WHEEL -D__TURBOC__=0x400
! guiflags=-lTpe -laa
! conlflags=-lTpe -lap
! BINDIR=c:\windows\bin
  
  #>>>>> choose options:
  ### -DDIGRAPHS		digraph support (at the cost of 1.6 Kbyte code)
***************
*** 46,81 ****
  
  # generic for extend file system function
  #
! EXFOPT  = -DUSE_EXFILE -DUSE_SHARE_CHECK
! EXFOBJ  = exfile.obj lha.obj ftp.obj tar.obj cab.obj zip.obj
! EXFINC	= -Iexfile -Iinc
  
  # generic for BDF font function
  #
! BDFOPT  = -DUSE_BDF
! BDFOBJ  = mw32bdf.obj
! BDFINC	= -Ibdf
  
  # generic for matome function
  #
! MTMOPT  = -DUSE_MATOME
! MTMOBJ  = matome.obj
  
  # generic for syntax highlighting function
  #
! SYNOPT  = -DSYNTAX
! SYNOBJ  = syntax.obj
  
  # generic for file history function
  #
! HISTOPT = -DUSE_HISTORY
  
  DEFINES	= -DKANJI -DTRACK -DFEPCTRL -DCRMARK -DFEXRC -DNT106KEY -DWEBB_COMPLETE -DWEBB_KEYWORD_COMPL -DNO_FREE_NULL -DXARGS -DTERMCAP -DWIN32 $(GRPOPT) $(TAGOPT) $(OPTOPT) $(EXFOPT) $(BDFOPT) $(MTMOPT) $(SYNOPT) $(HISTOPT)
  
  #>>>>> name of the compiler and linker, name of lib directory
! CC	= cl -nologo
! LINK	= cl
! CFLAGS	= -I. $(BDFINC) $(EXFINC) -DMSDOS -DNT -DUCODE $(DEFINES) $(DBG) $(cflags) $(cdebug) $(cvarsdll)
  
  #>>>>> end of choices
  ###########################################################################
--- 44,82 ----
  
  # generic for extend file system function
  #
! EXFOPT  =
! EXFOBJ  =
! EXFINC	=
  
  # generic for BDF font function
  #
! BDFOPT  =
! BDFOBJ  =
! BDFINC	=
  
  # generic for matome function
  #
! MTMOPT  =
! MTMOBJ  =
  
  # generic for syntax highlighting function
  #
! SYNOPT  =
! SYNOBJ  =
  
  # generic for file history function
  #
! HISTOPT =
  
  DEFINES	= -DKANJI -DTRACK -DFEPCTRL -DCRMARK -DFEXRC -DNT106KEY -DWEBB_COMPLETE -DWEBB_KEYWORD_COMPL -DNO_FREE_NULL -DXARGS -DTERMCAP -DWIN32 $(GRPOPT) $(TAGOPT) $(OPTOPT) $(EXFOPT) $(BDFOPT) $(MTMOPT) $(SYNOPT) $(HISTOPT)
  
  #>>>>> name of the compiler and linker, name of lib directory
! CC	= bcc32
! LINK	= bcc32
! RC	= brc32
! CFLAGS	= -I. -W $(BDFINC) $(EXFINC) -DMSDOS -DNT -DUCODE $(DEFINES) $(DBG) $(cflags) $(cdebug) $(cvarsdll)
! CFLAGSC	= $(CFLAGS) -WC
! IPATH = c:\bcc\include
  
  #>>>>> end of choices
  ###########################################################################
***************
*** 89,100 ****
  	$(GRPOBJ) $(OPTOBJ) $(EXFOBJ) $(BDFOBJ) $(MTMOBJ) $(SYNOBJ)
  
  ###########################################################################
! vim32.exe: $(OBJ) version.obj vim32.res
! 	$(link) $(linkdebug) $(conlflags) $(lcommon) $(LDEBUG) -out:vim32.exe $(OBJ) version.obj vim32.res $(guilibsdll)
          - del version.obj
  
! vim32w.exe: $(OBJ) version.obj vim32.res
! 	$(link) $(linkdebug) $(guiflags) $(LDEBUG) -out:vim32w.exe $(OBJ) version.obj vim32.res $(guilibsdll)
  
  vim32s.exe: vim32s\vim32s.c
  	- del *.obj
--- 90,103 ----
  	$(GRPOBJ) $(OPTOBJ) $(EXFOBJ) $(BDFOBJ) $(MTMOBJ) $(SYNOBJ)
  
  ###########################################################################
! vim32.exe: $(OBJ) version.obj vim32.rc vim.ico
! 	$(LINK) $(linkdebug) $(conlflags) $(lcommon) $(LDEBUG) -evim32.exe $(OBJ) version.obj $(guilibsdll)
! 	$(RC) -i$(IPATH) $(DEFINES) vim32.rc vim32.exe
          - del version.obj
  
! vim32w.exe: $(OBJ) version.obj vim32.rc vim.ico
! 	$(LINK) $(linkdebug) $(guiflags) $(LDEBUG) -evim32w.exe $(OBJ) version.obj $(guilibsdll)
! 	$(RC) -i$(IPATH) $(DEFINES) vim32.rc vim32w.exe
  
  vim32s.exe: vim32s\vim32s.c
  	- del *.obj
***************
*** 104,110 ****
  	- del *.obj
  	nmake -f clip\clip.mak
  
! all: vim32w.exe vim32.exe grep.exe vim32s.exe clip.exe
  
  clean:
  	- del *.obj
--- 107,114 ----
  	- del *.obj
  	nmake -f clip\clip.mak
  
! #all: vim32w.exe vim32.exe grep.exe vim32s.exe clip.exe
! all: vim32w.exe vim32.exe
  
  clean:
  	- del *.obj
***************
*** 119,125 ****
  	- del vim
  	- del jptab
  	- del mkcmdtab
! 	- del tags
  	- del *.@@@
  	- del *.com
  	- del *.lzh
--- 123,129 ----
  	- del vim
  	- del jptab
  	- del mkcmdtab
! #	- del tags
  	- del *.@@@
  	- del *.com
  	- del *.lzh
***************
*** 128,135 ****
  	- del *.pdb
  	- del *.map
  	- del *.cod
- 	- del /Q VC\debug\*.*
- 	- del /Q VC\release\*.*
  
  update:
  	@nmake -s -f makjnt.mak clean
--- 132,137 ----
***************
*** 141,157 ****
  	- del vim32.wup
  
  lzh:
! 	nmake -f makjnt.mak wsp
! 	lha u -rx vim3j21b.lzh vim32.exe vim32w.com vim32s.exe grep.exe clip.exe
! 	lha u -rx vim3j21b.lzh doc.j\*.* doc.e\*.*
! 	lha d     vim3j21b.lzh doc.j\readme.doc
! 	lha d     vim3j21b.lzh doc.j\readme.1st
! 	lha d     vim3j21b.lzh doc.j\history.txt
! 	lha d     vim3j21b.lzh doc.j\fj.txt
! 	lha d     vim3j21b.lzh doc.j\_jvimrc
! 	lha u     vim3j21b.lzh doc.j\readme.doc
! 	lha u     vim3j21b.lzh vim32s\vim32s.ini
! 	lha u     vim3j21b.lzh doc.j\_jvimrc
  
  beta:
  	nmake -f makjnt.mak wsp
--- 143,155 ----
  	- del vim32.wup
  
  lzh:
! 	lha u -rx ..\..\vim3j.lzh vim32.exe vim32w.exe
! 	lha u ..\..\vim3j.lzh ..\doc.j\readme.doc
! 	lha u ..\..\vim3j.lzh ..\doc.j\vim.hlp
! 	lha u ..\..\vim3j.lzh ..\doc.j\vim32.ini
! 
! bak:
! 	lha u -rx ..\..\vim3jbak.lzh readme.txt makefile makefile.vc cmdline.c normal.c ops.c grep\grep.rc
  
  beta:
  	nmake -f makjnt.mak wsp
***************
*** 197,207 ****
  	gzip jvim.tar
  
  install:
! 	nmake -f makjnt.mak all
! 	copy vim32w.exe \usr\com\vim32.exe
! 	copy vim32s.exe \usr\com\vim32s.exe
! 	copy grep.exe \usr\com
! 	copy clip.exe \usr\com
  
  addcr:	addcr.c
  	$(CC) addcr.c
--- 195,202 ----
  	gzip jvim.tar
  
  install:
! 	copy vim32w.exe $(BINDIR)\vi.exe
! 	copy ..\doc.j\vim.hlp $(BINDIR)
  
  addcr:	addcr.c
  	$(CC) addcr.c
***************
*** 289,300 ****
  	$(CC) $(CFLAGS) -c bdf\mw32bdf.c
  
  jptab.h: jptab.c
! 	$(CC) $(CFLAGS) jptab.c
  	jptab.exe > jptab.h
  
  cmdtab.h: cmdtab.tab mkcmdtab.c
! 	$(CC) $(CFLAGS) mkcmdtab.c
  	mkcmdtab cmdtab.tab cmdtab.h
  
- vim32.res: vim32.rc vim.ico
- 	rc $(DEFINES) vim32.rc
--- 284,293 ----
  	$(CC) $(CFLAGS) -c bdf\mw32bdf.c
  
  jptab.h: jptab.c
! 	$(CC) $(CFLAGSC) jptab.c
  	jptab.exe > jptab.h
  
  cmdtab.h: cmdtab.tab mkcmdtab.c
! 	$(CC) $(CFLAGSC) mkcmdtab.c
  	mkcmdtab cmdtab.tab cmdtab.h
  
